/* STYLES FOR ABOVE THE FOLD */
/*-- -------------------------- -->
<---           Hero             -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #hero-1059 {
    /* Centers button */
    text-align: left;
    /* 200px - 300px - leaving extra space for the navigation */
    padding: clamp(12.5rem, 31.95vw, 18.75rem) 1rem 0;
    /* 130px - 200px */
    padding-bottom: clamp(8.125rem, 16.5vw, 12.5rem);
    position: relative;
    z-index: 1;
  }
  #hero-1059 .cs-background {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -2;
  }
  #hero-1059 .cs-background:before {
    /* Overlay */
    content: "";
    width: 100%;
    height: 100%;
    background: #1a1a1a;
    opacity: 0.84;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: 1;
    /* prevents the cursor from interacting with it */
    pointer-events: none;
  }
  #hero-1059 .cs-background img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    /* makes the top of the image start at the top of the parent */
    object-position: top;
  }
  #hero-1059 .cs-container {
    width: 100%;
    max-width: 80rem;
    margin: auto;
  }
  #hero-1059 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    width: 100%;
    max-width: 39.375rem;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
  }
  #hero-1059 .cs-title {
    /* 39px - 61px */
    font-size: clamp(2.4375rem, 6.4vw, 3.8125rem);
    font-weight: 700;
    line-height: 1.2em;
    text-align: inherit;
    max-width: 51.8125rem;
    margin: 0 auto 1rem 0;
    color: #fff;
    position: relative;
  }
  #hero-1059 .cs-text {
    /* 16px - 20px */
    font-size: clamp(1rem, 1.95vw, 1.25rem);
    line-height: 1.5em;
    text-align: inherit;
    width: 100%;
    /* 464px - 622px */
    max-width: clamp(29rem, 60vw, 38.785rem);
    margin: 0 0 2.5rem 0;
    color: #fff;
  }
  #hero-1059 .cs-button-solid {
    font-size: 1rem;
    /* 46px - 56px */
    line-height: clamp(2.875em, 5.5vw, 3.5em);
    text-decoration: none;
    font-weight: 700;
    text-align: center;
    margin: 0;
    color: #fff;
    border: 1px solid #fff;
    padding: 0 2rem;
    background-color: var(--primary);
    overflow: hidden;
    display: inline-block;
    position: relative;
    z-index: 1;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
    transition: color 0.3s;
  }
  #hero-1059 .cs-button-solid:before {
    content: '';
    position: absolute;
    height: 100%;
    width: 0%;
    background: #1a1a1a;
    opacity: 1;
    top: 0;
    left: 0;
    z-index: -1;
    transition: width 0.3s;
  }
  #hero-1059 .cs-button-solid:hover:before {
    width: 100%;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #hero-1059 .cs-content {
    text-align: left;
    align-items: flex-start;
  }
  #hero-1059 .cs-background:before {
    background: linear-gradient(to right, rgba(0, 0, 0, 0.94) 0%, rgba(0, 0, 0, 0.94) 2%, rgba(0, 0, 0, 0) 100%);
    opacity: 1;
  }
}
/*-- -------------------------- -->
<---          Services          -->
<--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0rem) {
  .services {
    z-index: 100;
    position: relative;
    border-top: 0.375em solid var(--primary);
    border-radius: 0.3125em;
    margin: auto;
    margin-top: calc(-167 / 16 * 1em);
    margin-bottom: 3.125em;
    background: #fff;
    max-width: 82.5em;
    width: 90%;
    padding: 3.125em 1.25em;
    box-shadow: 0px 20px 40px rgba(0, 0, 0, 0.05);
  }
  .services .card {
    display: block;
    margin: auto;
    margin-bottom: 3.125em;
    max-width: 22.3125em;
    width: 100%;
  }
  .services .card picture {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    margin: auto;
    margin-bottom: 1.4375em;
    background: var(--primary);
    height: 5.5em;
    width: 5.5em;
  }
  .services .card picture img {
    height: 3em;
    width: 3em;
  }
  .services .card h2 {
    margin-bottom: 0.65em;
    font-size: 2em;
    line-height: 1.35em;
    font-weight: 700;
    color: #1a1a1a;
    text-align: center;
  }
  .services .card p {
    opacity: 0.7;
    width: 100%;
    line-height: 1.33333333em;
    text-align: center;
  }
  .services .card:last-of-type {
    margin-bottom: 0;
  }
}
/* Inbetween */
@media only screen and (min-width: 768px) {
  .services {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 98%;
    font-size: min(1.8vw, 1em);
  }
  .services .card {
    margin: 0;
    max-width: 20.3125em;
  }
}
/* Large Desktop */
@media only screen and (min-width: 1300px) {
  .services {
    padding: 3.125em 5em;
  }
  .services .card {
    max-width: 22.3125em;
  }
}
/* Dark mode */
@media only screen and (min-width: 0rem) {
  body.dark-mode #services {
    background: var(--medium);
  }
  body.dark-mode #services picture {
    background: var(--primaryDark);
  }
  body.dark-mode #services h2 {
    font-weight: bold;
    color: #fff;
  }
}
